
/***

ethdesc.c	- Ethernet host description management module

Copyright (c) Gerard Paul Java 1998

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***/

struct descrec {
    char address[13];
    char desc[65];
};

struct desclistent {
    struct descrec rec;
    struct desclistent *prev_entry;
    struct desclistent *next_entry;
};

struct desclist {
    struct desclistent *head;
    struct desclistent *tail;
};

void etherr(void);
void loaddesclist(struct desclist *list);
void savedesclist(struct desclist *list);
void displayethdescs(struct desclist *list, WINDOW * win);
void destroydesclist(struct desclist *list);
void operate_descselect(struct desclist *list, struct desclistent **node,
			WINDOW * win, int *aborted);
void selectdesc(struct desclist *list, struct desclistent **node, int *aborted);
void descdlg(struct descrec *rec, char *initaddr, char *initdesc, int *aborted);
void addethdesc(struct desclist *list);
void editethdesc(struct desclist *list);
void delethdesc(struct desclist *list);
void ethdescmgr(void);
